ur_rna.Utilities

## Enum SimpleDataSerializer.TokenPattern

- java.lang.Object
- - java.lang.Enum<SimpleDataSerializer.TokenPattern>
  - - ur_rna.Utilities.SimpleDataSerializer.TokenPattern

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SimpleDataSerializer.TokenPattern>
  Enclosing class:
    SimpleDataSerializer

      static enum SimpleDataSerializer.TokenPattern
      extends java.lang.Enum<SimpleDataSerializer.TokenPattern>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOOL`
    `CLOSE_BRACE`
    `CLOSE_BRACKET`
    `COLON`
    `COMMA`
    `COMMENT`
    `IDENTIFIER`
    `NULL`
    `NUMBER`
    `OPEN_BRACE`
    `OPEN_BRACKET`
    `STRING`
    `SYM_BAR`
    `SYM_PERCENT`
    `WHITESPACE`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.util.regex.Pattern` | `p`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SimpleDataSerializer.Token` | `match(java.lang.CharSequence s, int pos)`
    `SimpleDataSerializer.Token` | `match(java.lang.CharSequence s, int start, int end)`
    `java.util.regex.Pattern` | `pattern()`
    `static SimpleDataSerializer.TokenPattern` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SimpleDataSerializer.TokenPattern[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BOOL

          public static final SimpleDataSerializer.TokenPattern BOOL

    - #### CLOSE_BRACE

          public static final SimpleDataSerializer.TokenPattern CLOSE_BRACE

    - #### CLOSE_BRACKET

          public static final SimpleDataSerializer.TokenPattern CLOSE_BRACKET

    - #### COLON

          public static final SimpleDataSerializer.TokenPattern COLON

    - #### COMMA

          public static final SimpleDataSerializer.TokenPattern COMMA

    - #### COMMENT

          public static final SimpleDataSerializer.TokenPattern COMMENT

    - #### IDENTIFIER

          public static final SimpleDataSerializer.TokenPattern IDENTIFIER

    - #### NULL

          public static final SimpleDataSerializer.TokenPattern NULL

    - #### NUMBER

          public static final SimpleDataSerializer.TokenPattern NUMBER

    - #### OPEN_BRACE

          public static final SimpleDataSerializer.TokenPattern OPEN_BRACE

    - #### OPEN_BRACKET

          public static final SimpleDataSerializer.TokenPattern OPEN_BRACKET

    - #### STRING

          public static final SimpleDataSerializer.TokenPattern STRING

    - #### SYM_BAR

          public static final SimpleDataSerializer.TokenPattern SYM_BAR

    - #### SYM_PERCENT

          public static final SimpleDataSerializer.TokenPattern SYM_PERCENT

    - #### WHITESPACE

          public static final SimpleDataSerializer.TokenPattern WHITESPACE

  - ### Field Detail

    - #### p

          private final java.util.regex.Pattern p

  - ### Method Detail

    - #### match

          public SimpleDataSerializer.Token match(java.lang.CharSequence s,
                                                  int pos)

    - #### match

          public SimpleDataSerializer.Token match(java.lang.CharSequence s,
                                                  int start,
                                                  int end)

    - #### pattern

          public java.util.regex.Pattern pattern()

    - #### valueOf

          public static SimpleDataSerializer.TokenPattern valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### values

          public static SimpleDataSerializer.TokenPattern[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SimpleDataSerializer.TokenPattern c : SimpleDataSerializer.TokenPattern.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared